getCloudCacheConfigGroupVersionList

Prev Next

Available in VPC

Get the Cloud DB for Cache config group version list.

Note

Cloud DB for Cache API offers two versions based on the supported DBMS range.

  • getCloudCacheConfigGroupVersionList API: Support for Valkey and Redis DBMS
  • getCloudRedisConfigGroupVersionList API: Support for Redis DBMS

getCloudCacheConfigGroupVersionList API

This section describes the request and response formats for the getCloudCacheConfigGroupVersionList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vcache/v2/getCloudCacheConfigGroupVersionList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the config group version list to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudCacheDbmsCode String Optional Cloud DB for Cache instance's DBMS code
  • Redis | Valkey
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheConfigGroupVersionList
?cloudCacheDbmsCode=Redis
?regionCode=KR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudCacheConfigGroupVersionList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "getCloudCacheConfigGroupVersionListResponse": {
        "totalRows": 8,
        "cloudCacheConfigGroupVersionList": [
            {
                "cacheVersion": "7.2.11-simple"
            },
            {
                "cacheVersion": "7.2.8-simple"
            },
            {
                "cacheVersion": "7.2.6-simple"
            },
            {
                "cacheVersion": "7.0.15-simple"
            },
            {
                "cacheVersion": "7.0.13-simple"
            },
            {
                "cacheVersion": "6.2.20-simple"
            },
            {
                "cacheVersion": "6.2.14-simple"
            },
            {
                "cacheVersion": "6.2.11-simple"
            },
            {
                "cacheVersion": "6.2.4-simple"
            }
        ],
        "requestId": "eb510376-****-****-****-1c76df3e0bd8",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudCacheConfigGroupVersionListResponse>
    <requestId>eb510376-****-****-****-1c76df3e0bd8</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>8</totalRows>
    <cloudCacheConfigGroupVersionList>
      <cloudCacheConfigGroupVersion>
        <cacheVersion>7.2.11-simple</cacheVersion>
      </cloudCacheConfigGroupVersion>
      <cloudCacheConfigGroupVersion>
        <cacheVersion>7.2.8-simple</cacheVersion>
      </cloudCacheConfigGroupVersion>
      <cloudCacheConfigGroupVersion>
        <cacheVersion>7.2.6-simple</cacheVersion>
      </cloudCacheConfigGroupVersion>
      <cloudCacheConfigGroupVersion>
        <cacheVersion>7.0.15-simple</cacheVersion>
      </cloudCacheConfigGroupVersion>
      <cloudCacheConfigGroupVersion>
        <cacheVersion>7.0.13-simple</cacheVersion>
      </cloudCacheConfigGroupVersion>
      <cloudCacheConfigGroupVersion>
        <cacheVersion>6.2.20-simple</cacheVersion>
      </cloudCacheConfigGroupVersion>
      <cloudCacheConfigGroupVersion>
        <cacheVersion>6.2.14-simple</cacheVersion>
      </cloudCacheConfigGroupVersion>
      <cloudCacheConfigGroupVersion>
        <cacheVersion>6.2.11-simple</cacheVersion>
      </cloudCacheConfigGroupVersion>
      <cloudCacheConfigGroupVersion>
        <cacheVersion>6.2.4-simple</cacheVersion>
      </cloudCacheConfigGroupVersion>
    </cloudCacheConfigGroupVersionList>
</getCloudCacheConfigGroupVersionListResponse>

getCloudRedisConfigGroupVersionList API

This section describes the request and response formats for the getCloudRedisConfigGroupVersionList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vredis/v2/getCloudRedisConfigGroupVersionList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the config group version list to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisConfigGroupVersionList
?regionCode=KR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudRedisConfigGroupVersionList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "getCloudRedisConfigGroupVersionListResponse": {
            "totalRows": 8,
            "cloudRedisConfigGroupVersionList": [
                {
                    "redisVersion": "7.2.11-simple"
                },
                {
                    "redisVersion": "7.2.11-cluster"
                },
                {
                    "redisVersion": "7.2.8-simple"
                },
                {
                    "redisVersion": "7.2.8-cluster"
                },
                {
                    "redisVersion": "7.2.6-simple"
                },
                {
                    "redisVersion": "7.2.6-cluster"
                },
                {
                    "redisVersion": "7.0.15-cluster"
                },
                {
                    "redisVersion": "7.0.15-simple"
                },
                {
                    "redisVersion": "7.0.13-simple"
                },
                {
                    "redisVersion": "7.0.13-cluster"
                },
                {
                    "redisVersion": "5.0.14-cluster"
                },
                {
                    "redisVersion": "5.0.14-simple"
                },
                {
                    "redisVersion": "4.0.14-cluster"
                },
                {
                    "redisVersion": "4.0.14-simple"
                }
            ],
            "requestId": "eb510376-****-****-****-1c76df3e0bd8",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudRedisConfigGroupVersionListResponse>
        <requestId>eb510376-****-****-****-1c76df3e0bd8</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>8</totalRows>
        <cloudRedisConfigGroupVersionList>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.2.11-cluster</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.2.11-simple</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.2.8-simple</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.2.8-cluster</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.2.6-simple</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.2.6-cluster</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.0.15-simple</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.0.15-cluster</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.0.13-cluster</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>7.0.13-simple</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>5.0.14-cluster</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>5.0.14-simple</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>4.0.14-cluster</redisVersion>
              </cloudRedisConfigGroupVersion>
              <cloudRedisConfigGroupVersion>
                    <redisVersion>4.0.14-simple</redisVersion>
          </cloudRedisConfigGroupVersion>
    </cloudRedisConfigGroupVersionList>
    </getCloudRedisConfigGroupVersionListResponse>